Bug 72794 - Update port: java/poseidon
Update port: java/poseidon
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: hq
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-17 20:30 UTC by tux
Modified: 2004-11-02 01:07 UTC (History)
0 users

See Also:


Attachments
file.diff (2.84 KB, patch)
2004-10-17 20:30 UTC, tux
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tux 2004-10-17 20:30:14 UTC
Update to the current version 2.5.1
Comment 1 hq freebsd_committer 2004-10-29 01:48:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this. 

BTW, I have a few suggestions: 

- How about updating this port to bsd.java.mk 2.0 [1] 
- IMHO the port should honor hier(7) and install docs in DOCSDIR and samples in 
EXAMPLESDIR 
- We could reduce the length of pkg-plist a lot (it currently weights 140K) by 
using PORTDOCS for docs and some dynamic plist for samples 

[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/70219 
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/using-java.html
Comment 2 hq freebsd_committer 2004-11-01 22:34:33 UTC
State Changed
From-To: open->feedback

Awaiting feedback from submitter.
Comment 3 hq freebsd_committer 2004-11-02 01:05:17 UTC
State Changed
From-To: feedback->closed

Commited, thanks! 

BTW, I added support for bsd.java.mk 2.0.